/**
 * 
 */
package fr.soleil.docking.perspective;

import java.io.IOException;
import java.io.InputStream;

public class Perspective implements IPerspective {
    private final String name;
    protected byte[] byteArray;

    public Perspective(String name) {
        this.name = name;
        byteArray = new byte[0];
    }

    @Override
    public byte[] getByteArray() {
        return byteArray;
    }

    @Override
    public String getName() {
        return name;
    }

    @Override
    public void setByteArray(byte[] byteArray) {
        this.byteArray = byteArray;
    }

    @Override
    public String toString() {
        return this.name;
    }

    /**
     * Reads a <code>byte</code> array from an {@link InputStream} and returns it
     * 
     * @param in The {@link InputStream}
     * @return A <code>byte[]</code>
     * @throws IOException If a problem occurred while trying to read the {@link InputStream}
     */
    protected byte[] readByteArray(InputStream in) throws IOException {
        byte[] result = null;
        if (in != null) {
            result = new byte[in.available()];
            int length = in.read(result);
            if (length != result.length) {
                result = null;
            }
        }
        return result;
    }

}